## ros-one-moveit-task-constructor-demo 0.1.4-0jammy.20251023.1748

=== debian/changelog ===
ros-one-moveit-task-constructor-demo (0.1.4-0jammy.20251023.1748) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 23 Oct 2025 17:48:20 +0000

ros-one-moveit-task-constructor-demo (0.1.4-0jammy) jammy; urgency=high

  * Allow max Cartesian link speed in PlannerInterface (#277 <https://github.com/moveit/moveit_task_constructor/issues/277>)
  * Add missing dependency
  * CI: Fix Noble builds
  * Pick with custom max_velocity_scaling_factor during approach+lift
  * Fix pick+place: connect should plan both, arm and hand motion
  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * clang-tidy fixes: std::endl -> 'n'
  * examples: add orientation path constraint
  * Update API: JumpThreshold -> CartesianPrecision (#611 <https://github.com/moveit/moveit_task_constructor/issues/611>)
  * Unify Python demo scripts
  * Switch shebang to python3
  * Improve comments for pick-and-place task (#238 <https://github.com/moveit/moveit_task_constructor/issues/238>)
  * Expose MultiPlanner to Python (#474 <https://github.com/moveit/moveit_task_constructor/issues/474>)
  * Example of constrained orientation planning
  * Switch to package py_binding_tools
  * Fix demos (#493 <https://github.com/moveit/moveit_task_constructor/issues/493>)
  * Merge PR #460 <https://github.com/moveit/moveit_task_constructor/issues/460>: improvements to ModifyPlanningScene stage
  * Fix SolutionBase::fillMessage(): also write start_scene
  * Contributors: Fabian Schuetze, Gauthier Hentz, Michael Görner, Robert Haschke, VideoSystemsTech

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.3-0jammy) jammy; urgency=high

  * Use const reference instead of reference for ros::NodeHandle (#437 <https://github.com/ros-planning/moveit_task_constructor/issues/437>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.2-0jammy) jammy; urgency=high

  * CartesianPath: Deprecate redundant property setters (#429 <https://github.com/ros-planning/moveit_task_constructor/issues/429>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.1-0jammy) jammy; urgency=high

  * Resort to MoveIt's python tools
    * Provide ComputeIK.ik_frame as full PoseStamped
  * Fixed build farm issues
    * Fixed missing dependency declarations
  * pick_place_task: monitor last state before Connect
    ... to prune solutions as much as possible
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.0-0jammy) jammy; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 02 Feb 2023 00:00:00 -0000

## ros-one-moveit-task-constructor-demo 0.1.4-0noble.20251023.1808

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_task_constructor_demo)

find_package(catkin REQUIRED COMPONENTS
	roscpp
	moveit_core
	moveit_task_constructor_core
	moveit_ros_planning_interface
	rosparam_shortcuts
)

moveit_build_options()

catkin_package(
	CATKIN_DEPENDS roscpp
)

add_library(${PROJECT_NAME}_pick_place_task src/pick_place_task.cpp)
target_link_libraries(${PROJECT_NAME}_pick_place_task ${catkin_LIBRARIES})
target_include_directories(${PROJECT_NAME}_pick_place_task PUBLIC include)
target_include_directories(${PROJECT_NAME}_pick_place_task SYSTEM PUBLIC ${catkin_INCLUDE_DIRS})
add_dependencies(${PROJECT_NAME}_pick_place_task ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
install(TARGETS ${PROJECT_NAME}_pick_place_task
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# declare a demo consisting of a single cpp file
function(demo name)
	add_executable(${PROJECT_NAME}_${name} src/${name}.cpp)
	add_dependencies(${PROJECT_NAME}_${name} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
	target_link_libraries(${PROJECT_NAME}_${name} ${catkin_LIBRARIES})
	target_include_directories(${PROJECT_NAME}_${name} SYSTEM PUBLIC ${catkin_INCLUDE_DIRS})
	set_target_properties(${PROJECT_NAME}_${name} PROPERTIES OUTPUT_NAME ${name} PREFIX "")
	install(TARGETS ${PROJECT_NAME}_${name}
		ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
		LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
		RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
	)
endfunction()

demo(cartesian)
demo(modular)
demo(alternative_path_costs)
demo(ik_clearance_cost)
demo(fallbacks_move_to)

demo(pick_place_demo)
target_link_libraries(${PROJECT_NAME}_pick_place_demo ${PROJECT_NAME}_pick_place_task)

install(DIRECTORY launch config
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

add_subdirectory(test)

=== test/CMakeLists.txt ===
#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest_gtest(pick_place_test pick_place.test pick_place_test.cpp)
  target_link_libraries(pick_place_test ${PROJECT_NAME}_pick_place_task ${catkin_LIBRARIES})
endif()

=== debian/changelog ===
ros-one-moveit-task-constructor-demo (0.1.4-0noble.20251023.1808) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 23 Oct 2025 18:08:43 +0000

ros-one-moveit-task-constructor-demo (0.1.4-0noble) noble; urgency=high

  * Allow max Cartesian link speed in PlannerInterface (#277 <https://github.com/moveit/moveit_task_constructor/issues/277>)
  * Add missing dependency
  * CI: Fix Noble builds
  * Pick with custom max_velocity_scaling_factor during approach+lift
  * Fix pick+place: connect should plan both, arm and hand motion
  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * clang-tidy fixes: std::endl -> 'n'
  * examples: add orientation path constraint
  * Update API: JumpThreshold -> CartesianPrecision (#611 <https://github.com/moveit/moveit_task_constructor/issues/611>)
  * Unify Python demo scripts
  * Switch shebang to python3
  * Improve comments for pick-and-place task (#238 <https://github.com/moveit/moveit_task_constructor/issues/238>)
  * Expose MultiPlanner to Python (#474 <https://github.com/moveit/moveit_task_constructor/issues/474>)
  * Example of constrained orientation planning
  * Switch to package py_binding_tools
  * Fix demos (#493 <https://github.com/moveit/moveit_task_constructor/issues/493>)
  * Merge PR #460 <https://github.com/moveit/moveit_task_constructor/issues/460>: improvements to ModifyPlanningScene stage
  * Fix SolutionBase::fillMessage(): also write start_scene
  * Contributors: Fabian Schuetze, Gauthier Hentz, Michael Görner, Robert Haschke, VideoSystemsTech

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.3-0noble) noble; urgency=high

  * Use const reference instead of reference for ros::NodeHandle (#437 <https://github.com/ros-planning/moveit_task_constructor/issues/437>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.2-0noble) noble; urgency=high

  * CartesianPath: Deprecate redundant property setters (#429 <https://github.com/ros-planning/moveit_task_constructor/issues/429>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.1-0noble) noble; urgency=high

  * Resort to MoveIt's python tools
    * Provide ComputeIK.ik_frame as full PoseStamped
  * Fixed build farm issues
    * Fixed missing dependency declarations
  * pick_place_task: monitor last state before Connect
    ... to prune solutions as much as possible
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.0-0noble) noble; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 02 Feb 2023 00:00:00 -0000

=== debian/control ===
Source: ros-one-moveit-task-constructor-demo
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-core, ros-one-moveit-ros-planning-interface, ros-one-moveit-task-constructor-core, ros-one-roscpp, ros-one-rosparam-shortcuts
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-task-constructor-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-moveit-core, ros-one-moveit-resources-panda-moveit-config, ros-one-moveit-ros-planning-interface, ros-one-moveit-task-constructor-capabilities, ros-one-moveit-task-constructor-core, ros-one-moveit-task-constructor-visualization, ros-one-py-binding-tools, ros-one-roscpp, ros-one-rosparam-shortcuts
Description: demo tasks illustrating various capabilities of MTC.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-task-constructor-demo//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-task-constructor-demo 0.1.4-4jammy.20260128.2357

=== debian/changelog ===
ros-one-moveit-task-constructor-demo (0.1.4-4jammy.20260128.2357) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 28 Jan 2026 23:57:35 +0000

## ros-one-moveit-task-constructor-demo 0.1.4-4jammy.20260302.0000

=== debian/changelog ===
ros-one-moveit-task-constructor-demo (0.1.4-4jammy.20260302.0000) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 02 Mar 2026 00:00:25 +0000

## ros-one-moveit-task-constructor-demo 0.1.4-4noble.20260129.0017

=== debian/changelog ===
ros-one-moveit-task-constructor-demo (0.1.4-4noble.20260129.0017) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 29 Jan 2026 00:17:12 +0000

## ros-one-moveit-task-constructor-demo 0.1.4-4noble.20260301.2351

=== debian/changelog ===
ros-one-moveit-task-constructor-demo (0.1.4-4noble.20260301.2351) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 01 Mar 2026 23:51:27 +0000
